## texlive-bin 2018.20180824.48463

=== debian/changelog ===
texlive-bin (2018.20180824.48463-1) unstable; urgency=medium

  * New upstream version 2018.20180824.48463
  * remove upstream included patches

 -- Norbert Preining <preining@debian.org>  Fri, 24 Aug 2018 11:12:56 +0900

texlive-bin (2018.20180710.48169-1) unstable; urgency=medium

  * New upstream checkout 2018.20180710.48169
  * update patches, remove upstream ones

 -- Norbert Preining <preining@debian.org>  Tue, 10 Jul 2018 11:43:24 +0900

texlive-bin (2018.20180416.47457-5) unstable; urgency=medium

  * Fix t4ht being completely broken due to %%~ expansion to 
    SELFAUTOPARENT (Closes: #902334)

 -- Norbert Preining <preining@debian.org>  Mon, 25 Jun 2018 15:36:03 +0900

texlive-bin (2018.20180416.47457-4) unstable; urgency=medium

  [ Norbert Preining ]
  * cherry-picking fixed from upstream svn
    - upstream-svn47712-dvidvi-error-reporting
    - upstream-svn47723-dvidvi-cmd-line-error-reporting
      better error reporting for dvidvi as well as gcc warning fixes
    - upstream-svn47721-mendex30
    - upstream-svn47722-mendex-rename-readme
      mendex update to 3.0, switch default encoding to utf8
    -	introduce the \expanded primitive:
      upstream-svn47741-expanded-primitive-pdftex
      upstream-svn47742-pdftex-expanded-test-fixes
      upstream-svn47745-eptex-expanded
    - upstream-svn47776-ptexenc-doc-fixes
      fix links to upstream projects
    - upstream-svn47799-dvipdfmx-try-suffix
      let xdvipdfmx check .dvi and .xdv extensions like other progs

  [ Hilmar Preusse ]
  * Minor fixes for disdvi.1 (Closes: #899341), dt2dv.1 (Closes: #900043)
    and gftodvi.1 (Closes: #900245)
    Thanks to Bjarni Ingi Gislason.

 -- Norbert Preining <preining@debian.org>  Tue, 29 May 2018 22:06:27 +0900

texlive-bin (2018.20180416.47457-3) unstable; urgency=medium

  * cherry-picking fixes from upstream svn:
    - upstream-svn47469-dvipdfm-x-Fix-a-bug-which-causes-a-segfault-with-1-2
      xetex segfaults with uncommon png formats 
      https://sourceforge.net/p/xetex/bugs/151/
    - upstream-svn47476-m-tx-0.63a
      update m-tx to 0.63a which fixes FTBFS on hurd (Closes: #896518)
    - upstream-svn47477-ptexdir-fix-a-regression-for-discontinuous-kinsoku-t
      ptex regression fix
    - upstream-svn47506-typo
      typo in the changelog name
    -	upstream-svn47625-recover-to-give-tounicode-entries-for-ligatures
      search didn't work for ligatures
      https://tex.stackexchange.com/questions/430054/failing-search-for-words-with-ligatures-after-update
    - upstream-svn47626-ptexdir-More-strict-check-kanji-token
      inconsisten behavior of p-engines
  * add information about SDE in tex.man and etex.man (Closes: #897627)
  * use pkg-config as fallback for freetype configuration (Closes: #892446)

 -- Norbert Preining <preining@debian.org>  Mon, 07 May 2018 10:53:51 +0900

texlive-bin (2018.20180416.47457-2) unstable; urgency=medium

  * synctex fixes
    - install synctex_version.h
  * include upstream bug fix for m-tx (Closes: #896077)
  * bump libsynctex soname to 2 (Closes: #895980)
    - follow upstream in using synctex_parser_api_level

 -- Norbert Preining <preining@debian.org>  Sat, 21 Apr 2018 07:34:39 +0900

texlive-bin (2018.20180416.47457-1) unstable; urgency=medium

  * New upstream version: Sources of TeX Live 2018: 2018.20180416.47457
  * Upload to unstable

 -- Norbert Preining <preining@debian.org>  Mon, 16 Apr 2018 13:00:49 +0900

texlive-bin (2018.20180404.47274-1) experimental; urgency=medium

  * New upstream version 2018.20180404.47274

 -- Norbert Preining <preining@debian.org>  Wed, 04 Apr 2018 10:31:50 +0900

texlive-bin (2018.20180313.46939-1) experimental; urgency=medium

  * New upstream version 2018.20180313.46939
  * update patches

 -- Norbert Preining <preining@debian.org>  Tue, 13 Mar 2018 09:48:18 +0900

texlive-bin (2018.20180119.46378-1) experimental; urgency=medium

  * New upstream version 2018.20180119.46378
  * update patches to 2018
  * switch to included poppler, Debian's is too old
  * build both libtexlua52 and libtexlua53
  * update copyright for new embedded libs and packages

 -- Norbert Preining <preining@debian.org>  Fri, 19 Jan 2018 13:08:35 +0900

=== debian/control ===
Source: texlive-bin
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>
Build-Depends:
  autoconf (>= 2.69),
  automake (>= 1:1.13.1),
  bison,
  debhelper (>= 9),
  dh-autoreconf,
  flex,
  libcairo2-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
  libgd-dev,
  libgmp-dev,
  libgraphite2-dev,
  libgs-dev,
  libharfbuzz-dev (>= 0.9.18-3),
  libicu-dev,
  libmpfr-dev,
  libncurses5-dev | libncurses-dev,
  libpaper-dev,
  libpixman-1-dev (>= 0.32.4),
  libpng-dev,
  libpotrace-dev (>= 1.11),
  libtool (>= 2.4.2),
  libxaw7-dev,
  libxi-dev,
  libzzip-dev (>= 0.12),
  m4 (>= 1.4.16),
  sharutils,
  texinfo,
  time,
  zlib1g-dev | libz-dev
Standards-Version: 4.1.2
Homepage: https://www.tug.org/texlive/
Vcs-Git: https://salsa.debian.org/tex-team/texlive-bin.git
Vcs-Browser: https://salsa.debian.org/tex-team/texlive-bin

Package: texlive-binaries
Architecture: any
Multi-Arch: foreign
Depends: libptexenc1 (>= ${source:Version}), 
  libptexenc1 (<< ${source:Version}.1~), 
  libkpathsea6 (>= ${source:Version}), 
  libkpathsea6 (<< ${source:Version}.1~), 
  libsynctex2 (>= ${source:Version}),
  libsynctex2 (<< ${source:Version}.1~),
  libtexlua52 (>= ${source:Version}), 
  libtexlua52 (<< ${source:Version}.1~), 
  libtexlua53 (>= ${source:Version}), 
  libtexlua53 (<< ${source:Version}.1~), 
  libtexluajit2 (>= ${source:Version}) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc], 
  libtexluajit2 (<< ${source:Version}.1~) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc], 
  t1utils,
  ${shlibs:Depends}, ${misc:Depends}, 
  tex-common (>= 6), perl, dpkg (>= 1.15.4) | install-info
Recommends: texlive-base
Replaces: texlive-metapost (<< 2010), texlive-base (<< 2010), ptex-bin, mendexk, jmpost, luatex (<< 2014), musixtex (<< 1:1.20.ctan20151216-3), pmx (<< 2.7.0.ctan20150301-3), m-tx (<< 0.61.ctan20151217-2), gregorio (<= 2.3-1), tex4ht (<< 20160814), texlive-lang-japanese (<< 2017)
Conflicts: mendexk, makejvf, jmpost
Breaks: texlive-base (<< 2016), jtex-bin, multex-bin, luatex (<< 2014), tex-common (<< 6), musixtex (<< 1:1.20.ctan20151216-3), pmx (<< 2.7.0.ctan20150301-3), m-tx (<< 0.61.ctan20151217-2), gregorio (<= 2.3-1), context (<< 2016), tex4ht (<< 20160814),
  texlive-htmlxml (<< 2016.20160829),
  texlive-lang-japanese (<< 2017),
  texlive-plain-generic (<< 2017.20170809)
Provides: texlive-base-bin, makejvf, mendexk, jmpost, luatex
Description: Binaries for TeX Live
 This package contains all the binaries of TeX Live packages.
 .
 Note that this package alone has hardly any functionality.  Rather,
 choose the texlive-* packages you want to use, e.g.
 texlive-latex-recommended or context

Package: libkpathsea6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: texlive-binaries (<< 2014), texlive-base (<< 2014)
Description: TeX Live: path search library for TeX (runtime part)
 This package contains the runtime part of the Kpathsea[rch] library,
 which implements generic path searching, configuration, and
 TeX-specific file searching.

Package: libkpathsea-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libkpathsea6 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: path search library for TeX (development part)
 This package contains the static library and header files for the
 Kpathsea[rch] library, which implements generic path searching,
 configuration, and TeX-specific file searching.

Package: libptexenc1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: texlive-binaries (<< 2014), texlive-base (<< 2014)
Description: TeX Live: pTeX encoding library
 library for encoding support in pTeX, a Japanese TeX engine.

Package: libptexenc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libptexenc1 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: ptex encoding library (development part)
 This package contains the static library and header files for the
 ptexenc library, a library for encoding support in pTeX, a Japanese
 TeX engine.

Package: libsynctex2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: SyncTeX parser library
 Library for SyncTeX parsing support.

Package: libsynctex-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libsynctex2 (= ${binary:Version})
Description: Tex Live: SyncTeX parser library (development part)
 This package contains the static library and header files for the SyncTex
 parser library.

Package: libtexlua52
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: Lua 5.2, modified for use with LuaTeX
 The Lua 5.2 library as used within LuaTeX.

Package: libtexlua53
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: Lua 5.3, modified for use with LuaTeX
 The Lua 5.3 library as used within LuaTeX.

Package: libtexlua52-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtexlua52 (= ${binary:Version})
Description: Tex Live: Lua 5.2, modified for use with LuaTeX (development part)
 This package contains the static library and header files for the texlua
 library.

Package: libtexlua53-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtexlua53 (= ${binary:Version})
Description: Tex Live: Lua 5.3, modified for use with LuaTeX (development part)
 This package contains the static library and header files for the texlua
 library.

Package: libtexluajit2
Section: libs
Architecture: amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: LuaJIT, modified for use with LuaJITTeX
 The LuaJIT library as used within LuaJITTeX.

Package: libtexluajit-dev
Section: libdevel
Architecture: amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc
Multi-Arch: same
Depends: ${misc:Depends}, libtexluajit2 (= ${binary:Version})
Description: Tex Live: LuaJIT, modified for use with LuaJITTeX (development part)
 This package contains the static library and header files for the texluajit
 library.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for texlive-bin

export SHELL=/bin/bash
export CONFIG_SHELL=/bin/bash

#
# the configure code already checks a lot, but it does not catch
# all cases. We have now two ways to test for where to build.
# One by disabling on the other platforms, one by whitelisting
# and building only on some platforms.
LUAJIT_GOOD_ARCHS := amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc 

# In case one wants to build with old automake (<< 1.13.1), the following
# variable has to be set. By default the debian/control requires high
# enough versions of automake and friends
#export AM_V_P=false

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


ifeq ($(DEB_HOST_ARCH), alpha)
  export LDFLAGS = -Wl,--no-relax
endif

#
#
# architectures where icu related programs (xetex) have problems
# and core dump etc. Possible fix, but sub-optimal because slowing down
# programs
# TODO should be checked whether this still happens!
BROKEN_ICU_ARCHS := sparc64
ifneq (,$(findstring $(DEB_HOST_ARCH), $(BROKEN_ICU_ARCHS)))
  export CFLAGS += -DU_IS_BIG_ENDIAN=0
  export CXXFLAGS += -DU_IS_BIG_ENDIAN=0
else
endif


# for whitelisting good archs
ifeq (,$(filter $(DEB_HOST_ARCH), $(LUAJIT_GOOD_ARCHS)))
  # it is not in the list of good archs -> disable luajittex
  BUILDLUAJITTEX=--disable-luajittex --disable-mfluajit
  WITHLUAJIT=no
else
  # not necessary, but for completeness
  BUILDLUAJITTEX=--enable-luajittex --enable-mfluajit
  WITHLUAJIT=yes
endif

#
# it seems that ARM metafont segfaults due to a problem with armhf's malloc
# see Debian bug #678604
# Building in arm mode helps
#
ifeq ($(DEB_HOST_ARCH), armhf)
  export CFLAGS += -marm
endif


# warning: if the --with autoreconf is removed then
# the patch debian/patches/debian-no-linked-scripts
# must be adapted to also patch the Makefile.in!

%:
	dh $@ --with autoreconf --builddirectory Work

#
# we use TL provided reautoconf script as it has some built-in magic
override_dh_autoreconf:
	dh_autoreconf ./reautoconf

# this was used before, but I am not sure whether the -as-needed is necessary
#	dh_autoreconf --as-needed

#
# poppler is used two times in TeX Live:
# once for pdftex/xetex
# once for luatex
# - the pdftex/xetex version is controlled via --with-system-xpdf
# - the luatex version is controlled via --with-system-poppler
#
# Status as of 20180118
# poppler in Debian is NOT enough for current, so we use the shipped
# libraries for both.
#	--with-system-poppler			\
#	--with-system-xpdf			\
#
# disable-largefile seems to break omegafonts, as they core dump
# leave it as is for now and see what else pops up
#	--disable-largefile			\

override_dh_auto_configure:
	# we have to make sure that the mendex test case that is added
	# by a patch is executable, same for pdftexdir - stupid dpkg-source
	chmod 0755 texk/mendexk/tests/mendex.test
	chmod 0755 texk/web2c/pdftexdir/expanded.test
	# run out configure script
	dh_auto_configure -- -C --prefix=/usr 	\
	--datarootdir=/usr/share/texlive	\
	--disable-native-texlive-build		\
	--disable-missing			\
	--disable-linked-scripts		\
	--with-banner-add=/Debian		\
	--enable-shared				\
	--with-system-zlib			\
	--with-system-zzlib			\
	--with-system-potrace			\
	--with-system-graphite2			\
	--with-system-harfbuzz 			\
	--with-system-libgs			\
	--with-system-pixman			\
	--with-system-libpaper			\
	--with-system-zziplib			\
	--with-system-icu			\
	--with-system-gmp			\
	--with-system-mpfr			\
	--with-system-freetype2			\
	--with-freetype2-include=/usr/include/freetype2 \
	--with-system-libpng			\
	--with-system-gd			\
	--with-system-cairo 			\
	--with-x				\
	--with-mf-x-toolkit			\
	--with-xdvi-x-toolkit=xaw		\
	$(BUILDLUAJITTEX)			\
	--disable-lcdf-typetools		\
	--disable-biber				\
	--disable-dvipng			\
	--disable-ps2eps			\
	--disable-psutils			\
	--disable-t1utils			\
	--disable-cjkutils			\
	--disable-chktex			\
	--disable-dvidvi			\
	--disable-lacheck			\
	--disable-texdoctk			\
	--disable-ttf2pk			\
	--enable-ttf2pk2			\
	--enable-ipc				

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp

override_dh_install:
	# remove .la files which we do not install, so that dh_install
	# can work with --fail-missing
	rm -f debian/tmp/usr/lib/*.la debian/tmp/usr/lib/*/*.la
	# mv c-auto.h into arch-dependent include path
	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea
	mv debian/tmp/usr/include/kpathsea/c-auto.h \
	 	debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea/
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	dh_missing --sourcedir=$(CURDIR)/debian/tmp --fail-missing
	# replace xdvi wrapper shell script with perl variant to
	# allow for opening of gz etc files
	rm debian/texlive-binaries/usr/bin/xdvi
	install -m 0755 debian/xdvi-pl debian/texlive-binaries/usr/bin/xdvi
	# remove texlive directories, they should not be shipped here
	rm -rf debian/texlive-binaries/usr/share/texlive
	# remove wrongly added info/dir.gz
	rm -f debian/texlive-binaries/usr/share/info/dir*
	# remove tlbuild info document, not needed
	rm debian/texlive-binaries/usr/share/info/tlbuild.info*
	# remove various man pages
	for i in latex pdflatex lamed amstex ; do \
	  rm debian/texlive-binaries/usr/share/man/man1/$$i.1* ; \
	done
	#
	# remove tex4ht links, they are shipped with tl-htmlxml
	for i in ht htcontext htlatex htmex httex httexi htxelatex htxetex mk4ht xhlatex ; do \
	  rm debian/texlive-binaries/usr/bin/$$i ; \
	done
	#
	# install dvisvgm man page
	install -m 0644 texk/dvisvgm/dvisvgm-src/doc/dvisvgm.1 \
		debian/texlive-binaries/usr/share/man/man1/dvisvgm.1
	# for alternatives treatment we rename usr/bin/bibtex to
	# usr/bin/bibtex.original
	mv debian/texlive-binaries/usr/bin/bibtex \
	   debian/texlive-binaries/usr/bin/bibtex.original
	mv debian/texlive-binaries/usr/share/man/man1/bibtex.1 \
	   debian/texlive-binaries/usr/share/man/man1/bibtex.original.1
	# find dangling symlinks in /usr/bin and error out if found
	err=0 ; for i in `find debian/texlive-binaries/usr/bin -type l` ; do \
	  f=`realpath $$i` ; \
	  if [ ! -r "$$f" ] ; then \
	    echo "ERROR: dangling symbolic link $$f" ; \
	    err=1 ; \
	  fi ; \
	done ; if [ $$err = 1 ] ; then exit 1 ; fi


override_dh_installdocs:
	dh_installdocs
	dh_installdocs -plibptexenc1 -plibptexenc-dev \
		texk/ptexenc/COPYRIGHT texk/ptexenc/README
	dh_installdocs -plibkpathsea6 -plibkpathsea-dev \
		texk/kpathsea/AUTHORS \
		texk/kpathsea/NEWS texk/kpathsea/PROJECTS \
		texk/kpathsea/README
	dh_installdocs -plibsynctex2 -plibsynctex-dev \
		texk/web2c/synctexdir/README.txt	\
		texk/web2c/synctexdir/synctex_parser_readme.txt
	#dh_installdocs -plibtexlua53 -plibtexlua53-dev \
	#	NOTHING TO INSTALL
ifeq ($(WITHLUAJIT), yes)
	dh_installdocs -plibtexluajit2 -plibtexluajit-dev
endif

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs -plibkpathsea6 -plibkpathsea-dev \
		texk/kpathsea/ChangeLog
	dh_installchangelogs -plibptexenc1 -plibptexenc-dev \
		texk/ptexenc/ChangeLog
	dh_installchangelogs -plibsynctex2 -plibsynctex-dev \
		texk/web2c/synctexdir/ChangeLog
	dh_installchangelogs -plibtexlua52 -plibtexlua52-dev \
		libs/lua52/TLpatches/ChangeLog
	dh_installchangelogs -plibtexlua53 -plibtexlua53-dev \
		libs/lua53/TLpatches/ChangeLog
ifeq ($(WITHLUAJIT), yes)
	dh_installchangelogs -plibtexluajit2 -plibtexluajit-dev \
		libs/luajit/TLpatches/ChangeLog
endif

override_dh_compress:
	dh_compress -X.pdf

override_dh_makeshlibs:
	dh_makeshlibs -plibkpathsea6
	dh_makeshlibs -plibptexenc1
	dh_makeshlibs -plibsynctex2
	dh_makeshlibs -plibtexlua52
	dh_makeshlibs -plibtexlua53
ifeq ($(WITHLUAJIT), yes)
	dh_makeshlibs -plibtexluajit2
endif

SHLIBDEPS = -l debian/libkpathsea6/usr/lib/* \
		-l debian/libptexenc1/usr/lib/* \
		-l debian/libsynctex2/usr/lib/* \
		-l debian/libtexlua52/usr/lib/* \
		-l debian/libtexlua53/usr/lib/*

ifeq ($(WITHLUAJIT), yes)

## texlive-bin 2018.20180907.48586

=== debian/changelog ===
texlive-bin (2018.20180907.48586-2) unstable; urgency=medium

  * cherry-pick from upstream:
    - svn48676-uptex-fix-substring-bug
    - svn48697-writet1-fix

 -- Norbert Preining <preining@debian.org>  Wed, 19 Sep 2018 13:10:58 +0900

texlive-bin (2018.20180907.48586-1) unstable; urgency=medium

  * New upstream version 2018.20180907.48586 (Closes: #907784)
  * include dvipdfmx toUnicode support fix
  * fix building dvisvgm for non-texlive builds and external libs

 -- Norbert Preining <preining@debian.org>  Sun, 09 Sep 2018 22:13:50 +0900

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
   debhelper (>= 9),
   dh-autoreconf,
   flex,
+  libbrotli-dev,
   libcairo2-dev,
   libfontconfig1-dev,
   libfreetype6-dev,
@@ -26,8 +27,10 @@
   libpng-dev,
   libpotrace-dev (>= 1.11),
   libtool (>= 2.4.2),
+  libwoff-dev,
   libxaw7-dev,
   libxi-dev,
+  libxxhash-dev,
   libzzip-dev (>= 0.12),
   m4 (>= 1.4.16),
   sharutils,

## texlive-bin 2018.20181104.49075

=== debian/changelog ===
texlive-bin (2018.20181104.49075-2) unstable; urgency=medium

  * revert luatex to previous version (Closes: #913586)

 -- Norbert Preining <preining@debian.org>  Wed, 14 Nov 2018 00:36:35 +0900

texlive-bin (2018.20181104.49075-1) unstable; urgency=medium

  * New upstream version 2018.20181104.49075
    (several dvipdfmx fixes, updates to dvisvgm, new luatex)
  * depend on system teckit library

 -- Norbert Preining <preining@debian.org>  Thu, 01 Nov 2018 17:25:01 +0900

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
   libpixman-1-dev (>= 0.32.4),
   libpng-dev,
   libpotrace-dev (>= 1.11),
+  libteckit-dev,
   libtool (>= 2.4.2),
   libwoff-dev,
   libxaw7-dev,

## texlive-bin 2018.20181218.49446

=== texk/detex/detex-src/Makefile ===
# Copyright (c) 1986-2007 Purdue University
# All rights reserved.
# 
# Developed by:  Daniel Trinkle
#                Department of Computer Science, Purdue University
#                http://www.cs.purdue.edu/
# 
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal with the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
# 
# o Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimers.
# 
# o Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimers in the
#   documentation and/or other materials provided with the distribution.
# 
# o Neither the names of Daniel Trinkle, Purdue University, nor the
#   names of its contributors may be used to endorse or promote products
#   derived from this Software without specific prior written
#   permission.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR
# ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE.
#
#
#	Makefile for detex and delatex
#
# Detex is a program to remove TeX and LaTeX constructs from text source.

UNAME_S := $(shell uname -s)

# Installation directory
#
DESTDIR	= /usr/local/bin

# Specify you favorite compiler
#
#CC	= gcc

# Compile time flags, just uncomment the necessary lines
# Some say GNU make does not correctly handle += -- you may have to use :=
#
DEFS	=
#
# Add -traditional for GNU cc on ISC 386/ix system and possibly others
# (reported by pinard@iro.umontreal.ca)
#
#DEFS	+= ${DEFS} -traditional
#
# Add -DHAVE_STRING_H for the SysV string manipulation routines
#
#DEFS	+= ${DEFS} -DHAVE_STRING_H
#
# Add -DMAXPATHLEN=<length> if it is not defined in /usr/include/sys/param.h
#
#DEFS	+= ${DEFS} -DMAXPATHLEN=1024
#
# Add -DNO_MALLOC_DECL if your system does not like the malloc() declaration
# in detex.l (reported by pinard@iro.umontreal.ca)
#
#DEFS	+= ${DEFS} -DNO_MALLOC_DECL
#
CFLAGS	= -O ${DEFS} -Wall

# Use your favorite lexical scanner
#
#LEX	= lex
LEX	= flex

#LFLAGS	= -8 -C

# scanner library
#
LEXLIB	= -lfl
ifeq ($(UNAME_S),Darwin)
	LEXLIB	= -ll
endif

LPR	= lpr -p

# Program names
#
PROGS	= detex delatex

# Header files
#
HDR	= detex.h

# Sources
#
SRC	= detex.l

# Objects for various programs
#
D_OBJ	= detex.o

VERSION = 2.8.4

all:	${PROGS}

detex: ${D_OBJ}
	${CC} ${CFLAGS} -o $@ ${D_OBJ} ${LEXLIB}

delatex: detex
	cp detex delatex

detex.c: detex.l
	${LEX} ${LFLAGS} detex.l
	mv lex.yy.c detex.c

man-page:
	troff -man detex.1l

# If you want detex available as delatex, uncomment the last two lines of
# this target
install: all
	rm -f ${DESTDIR}/detex
	install -c -m 775 -g staff -s detex ${DESTDIR}
	install detex.1l /usr/local/share/man/man1
#	rm -f ${DESTDIR}/delatex
#	ln ${DESTDIR}/detex ${DESTDIR}/delatex

uninstall:
	rm -f ${DESTDIR}/detex
	rm -f ${DESTDIR}/delatex
	rm -f /usr/local/share/man/man1/detex.*

clean:
	-rm -f a.out core *.s *.o ERRS errs .,* .emacs_[0-9]*
	-rm -f ${PROGS} xxx.l lex.yy.c detex.c
	-rm -f *.tar.bz2

print:	${HDR} ${SRC}
	${LPR} Makefile ${HDR} ${SRC}

test: all
	./test.pl

run: delatex
	./delatex in > out.txt

package: clean detex.c
	tar cjfv opendetex-${VERSION}.tar.bz2 ChangeLog COPYRIGHT detex.* INSTALL Makefile README

# Dependencies
#
detex.c: detex.h
detex.c: detex.l

=== debian/changelog ===
texlive-bin (2018.20181218.49446-1) unstable; urgency=medium

  * New upstream version 2018.20181218.49446
    - reinstatiate old kpsewhich -var-value behaviour and
      add -var-brace-value instead
    - preloading fixes

 -- Norbert Preining <preining@debian.org>  Tue, 18 Dec 2018 10:58:02 +0900

texlive-bin (2018.20181214.49410-1) unstable; urgency=medium

  * remove teckit on .orig building
  * bump standards version, no changes necessary
  * New upstream version 2018.20181214.49410
  * update patches

 -- Norbert Preining <preining@debian.org>  Fri, 14 Dec 2018 13:56:51 +0900

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
   texinfo,
   time,
   zlib1g-dev | libz-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
 Homepage: https://www.tug.org/texlive/
 Vcs-Git: https://salsa.debian.org/tex-team/texlive-bin.git
 Vcs-Browser: https://salsa.debian.org/tex-team/texlive-bin

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 export SHELL=/bin/bash
 export CONFIG_SHELL=/bin/bash
+
+# this ships out the test logs when a test failed, set it in any case
+export VERBOSE=1
 
 #
 # the configure code already checks a lot, but it does not catch
@@ -121,6 +124,7 @@
 	--with-system-libpng			\
 	--with-system-gd			\
 	--with-system-cairo 			\
+	--with-system-teckit	\
 	--with-x				\
 	--with-mf-x-toolkit			\
 	--with-xdvi-x-toolkit=xaw		\
@@ -242,7 +246,3 @@
 SHLIBDEPS = -l debian/libkpathsea6/usr/lib/* \
 		-l debian/libptexenc1/usr/lib/* \
 		-l debian/libsynctex2/usr/lib/* \
-		-l debian/libtexlua52/usr/lib/* \
-		-l debian/libtexlua53/usr/lib/*
-
-ifeq ($(WITHLUAJIT), yes)
